import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/providers/functions_repository_provider.dart';
import 'package:functions/src/features/locate_device/domain/locate_device_use_case.dart';
import 'package:functions/src/features/locate_device/domain/locate_device_use_case_impl.dart';

final locateDeviceUseCaseProvider = Provider.autoDispose<LocateDeviceUseCase>((ref) {
  final functionsRepository = ref.read(functionsRepositoryProvider);
  return LocateDeviceUseCaseImpl(functionsRepository);
});
